package olio;

/**
 * Kissa-luokka
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 */
public class Kissa {        // Luokka
    private String nimi;    // attribuutti
    private double paino;


    /**
     * Alustetaan kissan nimi ja paino
     * @param nimi kissan nimi
     * @param paino kissan paino
     */
    public Kissa(String nimi, double paino) { // muodostaja
        this.nimi = nimi;
        this.paino = paino;
    }


    /**
     * Luodaan oletuskissa 
     */
    public Kissa() {
        this.nimi = "kissa";
        this.paino = 100;
    }


    /**
     * Äännellään kuten kissa
     */
    public void aantele() { // metodi
        System.out.println("Miuaaa");
    }


    /**
     * Tulostetaan kissan tiedot
     */
    public void tulosta() {
        System.out.println("Olen kissa :" + nimi + " painan: " + paino + " grammaa");
    }


    /**
     * Testataan Kissa-luokkaa
     * @param args ei käytössä
     */
    public static void main(String[] args) {

        Kissa eka = new Kissa();   // Olio
        Kissa miuku = new Kissa("Miuku", 18000); // luodaan olio ja alustetaan sen tila
        miuku.aantele(); // "metodin kutsu" = lähetetään ooliolle viesti
        miuku.tulosta();

        Kissa mirri = new Kissa("Mirri", 930);
        mirri.aantele();
        mirri.tulosta();
        eka.tulosta();
    }

}
