package fxAanestysRB;


import java.net.URL;
import java.util.ResourceBundle;

import fi.jyu.mit.fxgui.Dialogs;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Label;
import javafx.scene.control.RadioButton;
import javafx.scene.control.ToggleGroup;

/**
 * Kontrolleri äänestykselle
 * @author vesal
 * @version 31.1.2016
 *
 */
public class AanestysGUIController implements Initializable  {
    @FXML private Label labelValittu;
    @FXML private ToggleGroup groupAanestys;

    @FXML void handleAanesta() {
       aanesta();
    }
    

    @Override
    public void initialize(URL location, ResourceBundle resources) {
        groupAanestys.selectedToggleProperty().addListener( (e) -> nayta());
        labelValittu.setText("");
    }
    
    
    private void nayta() {
        RadioButton rb = (RadioButton)groupAanestys.getSelectedToggle();
        if ( rb == null ) return;
        labelValittu.setText("Valittu: " + rb.getText().replaceFirst("_", ""));
    }


    private void aanesta() {
        String kohde = "";
        RadioButton rb = (RadioButton)groupAanestys.getSelectedToggle();
        if ( rb == null ) return;
        String id = rb.getId();
        int i = Integer.parseInt(id.substring(2));
        kohde = rb.getText().replaceFirst("_", "");
        Dialogs.showMessageDialog("Äänestit \nsiis: " + kohde + " " + i);
    }


    
}