package dynaaminen;

import java.util.ArrayList;

/**
 * Esimerkki ArrayLististä
 * @author vesal
 * @version 7.3.2016
 */
public class TaulukkoList {

    @SuppressWarnings("javadoc")
    public static void main(String[] args) {
        var luvut = new ArrayList<Integer>();
        luvut.add(2); // luvut.add(new Integer(2));
        luvut.add(99);
        luvut.add(77);
        System.out.println(luvut);
        
        for (int i=0; i < luvut.size(); ) {
            Integer luku = luvut.get(i++);
            System.out.print(luku + " ");
        }
        System.out.println();
        
        var iter = luvut.iterator();
        
        while (iter.hasNext()) {
            var luku = iter.next();
            System.out.print(luku + " ");
        }
        System.out.println();
        
        for (var iter2 = luvut.iterator(); iter2.hasNext();) {
            var luku = iter2.next();
            System.out.print(luku + " ");
        }
        System.out.println();
        
        for (var luku: luvut)
            System.out.print(luku + " ");
        System.out.println();
    }

}
