/**
 * @file toiseen.cpp
 * Esimerkki makroista ja funktioista
 *
 * @author Vesa Lappalainen
 * @version 27.4.2003
 */

#include <iostream>
#include <cstring>
// using std::cout;
// using std::endl;
using namespace std;

const string TERVE = "Hello";

#define TOISEEN(n) ((n)*(n))

inline int toiseen(int n)
{
   return n*n;
}

/**
 * Tutkitaan muuttujia ja funktiota sek makrojen kutsuja
 */
int main() {
    int pituus = strlen("Kissa"); // Esimerkki vanhasta C-merkkijonosta
    string jono = "kana";
    int pituus2 = jono.length();
    // int n = 5; // vanha tapa alustaa
    int n{5}; // C++ 11 tapa alustaa
    cout << TERVE << " " << pituus << " " << pituus2 << " " << n << endl;

    { // C-makroilla
    int i=2;
    int t = TOISEEN(i++);  // TOISEEN(2+3) =>  2+3*2+3 // TOISEEN(i++) => ((i++)*(i++))
    cout << t << " " << i << endl;
    }

    { // c++ inline-funktiolla
    int i=65;
    int t = toiseen(i++);
    cout << t << " " << i << endl;
    }

    return 0;
}




